Update · Management API
Update
PUT
/Stores?partnershipId={partnershipId}&storeId={storeId}Parameter
partnershipIdintErforderlichthe partnershipId id
10362storeIdstringErforderlichthe store id returned in "FilialID" property of store creation response
ZZZ-ZZZZRequest-Header
AuthorizationBASIC am9obi5kb2VAZXhhbXBsZS5jb206bTJ2SWlzSVlFajBaNHljKontext: Store management
Property Description
Store (object)
| Property | Data type | Description |
|---|---|---|
| FilialID | String | The menio generated identifier for the store |
| Hidden | Boolean | Prevents the store from being visible in apps when set |
| Name | String(100) | The name of the store |
| CustomFilialID | String(100) | An externally definable identifier for the store |
| Address | Object | The postal Address of the store |
| TimeZoneId | String | The IANA (TZDB) id of the store's time zone |
| String(100) | Contact email address of the store | |
| PhoneNumber | String(30) | Contact phone number of the store |
| OpeningHoursTime | Array[Object] | Array of time based OpeningHours assigned to the store |
| OpeningHoursText | Array[Object] | Array of text based OpeningHours assigned to the store |
| TaxNumber | String | The VAT identification number of the store |
| OrganicControlBodyNumber | String(10) | The organic control body number of the store |
| Contacts | Array[Object] | Array of Contacts of the store |
Address (object)
| Property | Data type | Description |
|---|---|---|
| Street | String(100) | Street and house number of the store's location |
| City | String(40) | City of the store's location |
| PostalIndex | String(10) | Postal index of the store |
| Country | String | ISO 3166 alpha-2 code represantation of the store's country |
OpeningHoursTime (object)
| Property | Data type | Description |
|---|---|---|
| Name | Array[Object] | Translations of the name of the opening hours |
| OrderIndex | int | Index for display order of the opening hours with lower numbers being shown first. Indexes should be unique across both time and text based opening hours |
| Days | Array[Object] | Array of Weekdays when the store is open |
OpeningHoursWeekday (object)
| Property | Data type | Description |
|---|---|---|
| Day | int | Integer representation of the weekday from 1 = Monday to 7 = Sunday |
| Slots | Array[Object] | Array of TimeSlots when the store is open during this weekday |
OpeningHoursTimeSlot (object)
| Property | Data type | Description |
|---|---|---|
| From | DateTime | Beginning of the store opening time slot, only the time part of the value will be considered |
| Till | DateTime | End of the store opening time slot, only the time part of the value will be considered |
OpeningHoursText (object)
| Property | Data type | Description |
|---|---|---|
| Name | Array[Object] | Translations of the name of the opening hours |
| OrderIndex | int | Index for display order of the opening hours with lower numbers being shown first. Indexes should be unique across both time and text based opening hours |
| Text | Array[Object] | Translations of the text of the opening hours |
Contact (object)
| Property | Data type | Description |
|---|---|---|
| Name | String | Name of the contact person |
| Title | Array[Object] | Translations of the contact persons title |
| String | Email address of the contact person | |
| PhoneNumbers | Array[Object] | PhoneNumbers of the contact person |
PhoneNumber (object)
| Property | Data type | Description |
|---|---|---|
| Name | Array[Object] | Translations of the phone number's name |
| Number | String | The phone number |
Originaler Blueprint-Ausschnitt
API Blueprint
### Update [PUT]
+ Request
+ Headers
Authorization : BASIC am9obi5kb2VAZXhhbXBsZS5jb206bTJ2SWlzSVlFajBaNHlj
+ Body
{
"Hidden": false,
"Name": "Your favorite food",
"CustomFilialID": "id-123456789",
"Address": {
"Street": "Doyle Shoals Suite 908",
"PostalCode": "26483",
"City": "Millerchester",
"Country": "IE"
},
"Email": "favorite.food@example.com",
"PhoneNumber": "12345-987654321",
"OpeningHoursTime": [
{
"Name": [
{
"lang": "en-US",
"val": "Opening hours during normal workdays"
},
{
"lang": "de-DE",
"val": "Öffnungszeiten zu normalen Werktagen"
}
],
"Days": [
{
"Day": 1,
"Slots": [
{
"From": "2024-10-10T07:00:00",
"Till": "2024-10-10T11:00:00"
},
{
"From": "2024-10-10T12:00:00",
"Till": "2024-10-10T16:00:00"
}
]
},
{
"Day": 2,
"Slots": [
{
"From": "2024-10-10T07:00:00",
"Till": "2024-10-10T11:00:00"
},
{
"From": "2024-10-10T12:00:00",
"Till": "2024-10-10T18:00:00"
}
]
},
{
"Day": 3,
"Slots": [
{
"From": "2024-10-10T07:00:00",
"Till": "2024-10-10T11:00:00"
},
{
"From": "2024-10-10T12:00:00",
"Till": "2024-10-10T18:00:00"
}
]
},
{
"Day": 4,
"Slots": [
{
"From": "2024-10-10T07:00:00",
"Till": "2024-10-10T11:00:00"
},
{
"From": "2024-10-10T12:00:00",
"Till": "2024-10-10T18:00:00"
}
]
},
{
"Day": 5,
"Slots": [
{
"From": "2024-10-10T07:00:00",
"Till": "2024-10-10T11:00:00"
},
{
"From": "2024-10-10T12:00:00",
"Till": "2024-10-10T14:00:00"
}
]
}
],
"OrderIndex": 0
}
],
"OpeningHoursText": [
{
"Name": [
{
"lang": "en-US",
"val": "Opening hours on open days"
},
{
"lang": "de-DE",
"val": "Öffnungszeiten an Tagen der offenen Tür"
}
],
"Text": [
{
"lang": "en-US",
"val": "7:00am until two hours before closing"
},
{
"lang": "en-US",
"val": "7:00 Uhr bis zwei Stunden vor Schließung"
}
],
"OrderIndex": 1
}
],
"TaxNumber": "123456-654321",
"OrganicControlBodyNumber": "DE-ÖKO-001",
"Contacts": [
{
"Name": "John Doe",
"Title": [
{
"lang": "en-US",
"val": "Dr."
},
{
"lang": "de-DE",
"val": "Dr."
}
],
"Email": "john-doe@food.com",
"PhoneNumbers": [
{
"Name": [
{
"lang": "en-US",
"val": "Work phone"
},
{
"lang": "de-DE",
"val": "Arbeitsmobilgerät"
}
],
"Number": "12345-9876543"
}
]
}
]
}
+ Response 200
+ Body
{
"FilialID": "ZZZ-ZZZZ",
"Hidden": false,
"Name": "Your favorite food",
"CustomFilialID": "id-123456789",
"Address": {
"Street": "Doyle Shoals Suite 908",
"PostalCode": "26483",
"City": "Millerchester",
"Country": "IE"
},
"TimeZoneId": "Europe/Dublin",
"Email": "favorite.food@example.com",
"PhoneNumber": "12345-987654321",
"OpeningHoursTime": [
{
"Name": [
{
"lang": "en-US",
"val": "Opening hours during normal workdays"
},
{
"lang": "de-DE",
"val": "Öffnungszeiten zu normalen Werktagen"
}
],
"Days": [
{
"Day": 1,
"Slots": [
{
"From": "2024-10-10T07:00:00",
"Till": "2024-10-10T11:00:00"
},
{
"From": "2024-10-10T12:00:00",
"Till": "2024-10-10T16:00:00"
}
]
},
{
"Day": 2,
"Slots": [
{
"From": "2024-10-10T07:00:00",
"Till": "2024-10-10T11:00:00"
},
{
"From": "2024-10-10T12:00:00",
"Till": "2024-10-10T18:00:00"
}
]
},
{
"Day": 3,
"Slots": [
{
"From": "2024-10-10T07:00:00",
"Till": "2024-10-10T11:00:00"
},
{
"From": "2024-10-10T12:00:00",
"Till": "2024-10-10T18:00:00"
}
]
},
{
"Day": 4,
"Slots": [
{
"From": "2024-10-10T07:00:00",
"Till": "2024-10-10T11:00:00"
},
{
"From": "2024-10-10T12:00:00",
"Till": "2024-10-10T18:00:00"
}
]
},
{
"Day": 5,
"Slots": [
{
"From": "2024-10-10T07:00:00",
"Till": "2024-10-10T11:00:00"
},
{
"From": "2024-10-10T12:00:00",
"Till": "2024-10-10T14:00:00"
}
]
}
],
"OrderIndex": 0
}
],
"OpeningHoursText": [
{
"Name": [
{
"lang": "en-US",
"val": "Opening hours on open days"
},
{
"lang": "de-DE",
"val": "Öffnungszeiten an Tagen der offenen Tür"
}
],
"Text": [
{
"lang": "en-US",
"val": "7:00am until two hours before closing"
},
{
"lang": "en-US",
"val": "7:00 Uhr bis zwei Stunden vor Schließung"
}
],
"OrderIndex": 1
}
],
"TaxNumber": "123456-654321",
"OrganicControlBodyNumber": "DE-ÖKO-001",
"Contacts": [
{
"Name": "John Doe",
"Title": [
{
"lang": "en-US",
"val": "Dr."
},
{
"lang": "de-DE",
"val": "Dr."
}
],
"Email": "john-doe@food.com",
"PhoneNumbers": [
{
"Name": [
{
"lang": "en-US",
"val": "Work phone"
},
{
"lang": "de-DE",
"val": "Arbeitsmobilgerät"
}
],
"Number": "12345-9876543"
}
]
}
]
}